/************************************************************************************
 *  File:     main.c
 *  Purpose:  RX611 main file.
 *            Replace with your code.
 *  Date:     26 September 2013
 *  Info:
 ************************************************************************************/

#define SYSTEM_SCKCR (*(volatile unsigned long *)0x00080020)

/*********************************************************************
 *
 *  SystemInit()
 *  Purpose: Can be used to setup PLL etc.
 *********************************************************************/
void SystemInit(void)
{
  /*******************************************************************
   *  Place initialization code here
   *******************************************************************/

   //
   // Initialize System Clocks
   // Set System Clock to 100 MHz,
   // Peripheral Clock to 50 MHz and External Bus Clock to 25 MHZ
   //
   SYSTEM_SCKCR = 0x00020100; // PCLK: x4; BCLK: x2; ICLK: x8
   //
   // Initialize Peripherals (LEDs)
   //
   BSP_Init();
}
/*********************************************************************
 *
 *  _Delay()
 *********************************************************************/
static void _Delay(int ms) {
  int i;
  i = 10000*ms;
  do {              // approx. 1ms per loop cycle (@100 MHz)
    i--;
  } while (i);
}
/*********************************************************************
 *
 *  main()
 *********************************************************************/
int main()
{
  int cnt;
  /******************************************************************
   *
   *  Place your code here.
   ******************************************************************/

  cnt = 0;
  BSP_SetLED(0);
  BSP_SetLED(1);
  do {
    cnt++;
    BSP_ToggleLED(1);
    _Delay(100);
  } while (1);
  return 0;
}
